package com.test.jpa;


import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.TableGenerator;


@Entity
public class Person {

    @Id
    @TableGenerator(
            name = "PersonSequence",
            table = "Sequence",
            pkColumnName = "tableName",
            valueColumnName = "lastValue",
            pkColumnValue = "Person",
            allocationSize = 10)
    @GeneratedValue(strategy = GenerationType.TABLE, generator = "PersonSequence")
    private Long id;

    private String name;

    private String lastName;

    Person() {
        // JPA requirement
    }

    public Person(String name, String lastName) {
        this.name = name;
        this.lastName = lastName;
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getLastName() {
        return lastName;
    }

    @Override
    public String toString() {
        return name + " " + lastName;
    }
}
